Bug 113446 - "Edit Style" menu command missing from customize dialog
Summary: "Edit Style" menu command missing from customize dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords:
Depends on:
Blocks: Customize-Dialog Writer-Styles
  Show dependency treegraph
 
Reported: 2017-10-25 14:22 UTC by Kenneth Hanson
Modified: 2018-08-30 07:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Hanson 2017-10-25 14:22:27 UTC
Description:
"Edit Style" was recently moved from the top level of the context menu to a sub-menu. When trying to re-add it to the top level menu from the Customize dialog, I could not find it anywhere, including "all categories".

Steps to Reproduce:
1. Go to Tools -> Customize -> Context Menu, and choose "Add Command"

Actual Results:  
"Edit Style" is not an option.

Expected Results:
"Edit Style" is an option.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 V Stuart Foote 2017-10-26 05:14:27 UTC
Confirmed.

@Jay, that would be an .uno:EditStyle from https://opengrok.libreoffice.org/xref/core/sw/uiconfig/swriter/popupmenu/text.xml right? Don't see it...

Any reason it should not be available as a context menu function to assign to the "Text" context menu?
Comment 2 Yousuf Philips (jay) (retired) 2017-10-26 07:58:26 UTC
Seems it is set to not appear in customization.

https://opengrok.libreoffice.org/xref/core/sfx2/sdi/sfx.sdi#1072

Patch - https://gerrit.libreoffice.org/43868
Comment 3 Commit Notification 2017-10-27 19:53:54 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32ebd3d9351636c5c62c3939662ce3e057c714e7

tdf#113446 Make EditStyle appear in customization dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2017-10-27 20:05:08 UTC
5.4 patch - https://gerrit.libreoffice.org/43967
Comment 5 Commit Notification 2017-10-28 02:17:18 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=493d2870cfadb652ce4b39430bebd5a364c8f7f1&h=libreoffice-5-4

tdf#113446 Make EditStyle appear in customization dialog

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Kenneth Hanson 2018-08-30 00:05:37 UTC
Apologies for not bringing this up earlier (it's been a rough year), but I don't think this is fixed. I still can't find the menu item in 6.0.6 or 5.4.7. I also checked 6.0.0 to make sure there wasn't a regression.
Comment 7 Maxim Monastirsky 2018-08-30 07:39:56 UTC
(In reply to Kenneth Hanson from comment #6)
> Apologies for not bringing this up earlier (it's been a rough year), but I
> don't think this is fixed. I still can't find the menu item in 6.0.6 or
> 5.4.7. I also checked 6.0.0 to make sure there wasn't a regression.
It's there, but it has the label "Edit". (We have some difficulties in giving good names to commands in the customization dialog right now, see Bug 108458.)